Loading...
Searching...
No Matches
iorheobase_memory_handler< T >

## Detailed Description

template<class T>
class rheolef::iorheobase_memory_handler< T >

Definition at line 165 of file iorheobase.h.

## Public Member Functions

list< iorheo * > * | pointer_list
list< iofem * > * | pointer_list

## Static Public Member Functions

static T * | iorheobase_alloc ()
static T * | get_pointer (std::ios &io)

## Static Public Attributes

static std::list< T * > * | pointer_list

## Member Function Documentation

## iorheobase_alloc()

template<class T >

static T * iorheobase_alloc | ( |  | ) |

static

Definition at line 168 of file iorheobase.h.

## get_pointer()

template<class T >

static T * get_pointer | ( | std::ios & | io | ) |

static

Definition at line 181 of file iorheobase.h.

## pointer_list() [1/2]

list< iorheo * > * pointer_list

Definition at line 192 of file iorheo.cc.

## pointer_list() [2/2]

list< iofem * > * pointer_list

Definition at line 60 of file iofem.cc.

## Member Data Documentation

## pointer_list

template<class T >

std::list<T*>* pointer_list

static

Definition at line 167 of file iorheobase.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/util/lib/iorheobase.h